Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/10965/?format=api
{ "ob_id": 10965, "uuid": "23ca9f2b5ed244ed931dd19566e04aac", "title": "Ionogram Images and other Ionospheric Data Paper Images", "abstract": "An ionogram is a display of the data produced by an ionosonde. It is a graph of the virtual height of the ionosphere plotted against frequency. Ionograms are often converted into electron density profiles. Data from ionograms may be used to measure changes in the Earth's ionosphere due to space weather events.\r\n\r\nIonogram images on various media, mainly film negatives and paper positives. Data from a worldwide network of stations from the 1930s to 1990s.\r\n\r\nOther ionospheric data on 35mm film negatives, including absorption, drift, noise, whistlers and electron density profiles, from up to 54 stations, between 1957 and 1983.", "keywords": "", "publicationState": "working", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19790/?format=api", "dataPath": "http://www.ukssdc.ac.uk/contact.html", "oldDataPath": [], "storageLocation": "external", "storageStatus": "offline", "volume": 0, "numberOfFiles": 0, "fileFormat": "paper" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3048/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "needed", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19806/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/10944/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39548/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39547/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39549/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39551/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39552/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39553/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39550/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }